com.ihr.xbrl.dataloader.target

## Class SQLDriver.SQLTransformationResult

- java.lang.Object
- - com.ihr.xbrl.dataloader.target.SQLDriver.SQLTransformationResult

- All Implemented Interfaces:
    XBRLTransformationResult
  Enclosing class:
    SQLDriver

      public static class SQLDriver.SQLTransformationResult
      extends java.lang.Object
      implements XBRLTransformationResult

  This is the result of the execution of the SQL procedures.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SQLDriver.SQLTransformationResult()` Instantiates a new SQL transformation result.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getResult()` Returns a Boolean object that contains false in case of the transaction has been rolled back or true if the transaction has been committed.
    `void` | `sendToResult(javax.xml.transform.Result outputTarget)` Serializes the generated document to the next component in the XML pipe (Result object) This method will be called once per document.
    `void` | `setValue(boolean b)` Sets the value.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SQLDriver.SQLTransformationResult

          public SQLDriver.SQLTransformationResult()

      Instantiates a new SQL transformation result.

  - ### Method Detail

    - #### getResult

          public java.lang.Object getResult()
                                     throws javax.xml.transform.TransformerException

      Returns a Boolean object that contains false in case of the transaction has been rolled back or true if the transaction has been committed.
      Specified by:
        `getResult` in interface `XBRLTransformationResult`
      Returns:
        the result
      Throws:
        `javax.xml.transform.TransformerException` - the transformer exception
      See Also:
        `XBRLTransformationResult.getResult()`

    - #### sendToResult

          public void sendToResult(javax.xml.transform.Result outputTarget)
                            throws javax.xml.transform.TransformerException

      Description copied from interface: `XBRLTransformationResult`
      Serializes the generated document to the next component in the XML pipe (Result object) This method will be called once per document.
      Specified by:
        `sendToResult` in interface `XBRLTransformationResult`
      Parameters:
        `outputTarget` - Result
      Throws:
        `javax.xml.transform.TransformerException` - if something goes wrong or the driver does not support this output method

    - #### setValue

          public void setValue(boolean b)

      Sets the value.
      Parameters:
        `b` - the new value